# Class PostDefendPerishSongAbAttr

@description: This ability applies the Perish Song tag to the attacking pokemon and the defending pokemon if the move makes physical contact and neither pokemon already has the Perish Song tag. PostDefendPerishSongAbAttr

#### Hierarchy (view full)

- PostDefendAbAttr
  - PostDefendPerishSongAbAttr

- Defined in src/data/ability.ts:873

#####
Index

### Constructors

constructor

### Properties

showAbility
turns

### Methods

addCondition
apply
applyPostDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostDefendPerishSongAbAttr(turns): PostDefendPerishSongAbAttr

- #### Parameters

  - turns: number

  #### Returns PostDefendPerishSongAbAttr

  Overrides PostDefendAbAttr.constructor

  - Defined in src/data/ability.ts:876

## Properties

### showAbility

showAbility: boolean

Inherited from PostDefendAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` turns

turns: number

- Defined in src/data/ability.ts:874

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostDefendAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostDefendAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostDefend

- applyPostDefend(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  Overrides PostDefendAbAttr.applyPostDefend

  - Defined in src/data/ability.ts:882

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostDefendAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Overrides PostDefendAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:895